summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorJoseph Hunkeler <jhunkeler@gmail.com>2019-01-29 14:38:49 -0500
committerJoseph Hunkeler <jhunkeler@gmail.com>2019-01-29 14:38:49 -0500
commit73a53c48901e120a06d221c8cb4f02076e3b9888 (patch)
tree8fb5e157dc19b8b8d22af12b5a51288802d5b660 /scripts
parent92f2ea6ed46ffae5302a47452d816b5dc5784eb7 (diff)
downloaddocker-python-73a53c48901e120a06d221c8cb4f02076e3b9888.tar.gz
Introduce real toolchain
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/build.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/build.sh b/scripts/build.sh
index 23d0ea1..f7c7a2d 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -1,6 +1,7 @@
#!/bin/bash -e
taskdir=${TOOLCHAIN_BUILD}/etc/tasks
+export _maxjobs=$(getconf _NPROCESSORS_ONLN)
if [[ ! -d ${taskdir} ]]; then
echo "No tasks. ${taskdir} does not exist."
@@ -16,4 +17,9 @@ do
fi
echo "Executing: ${task}"
${task}
+ retval=$?
+ if [[ ${retval} != 0 ]]; then
+ echo "TASK FAILED: ${task}"
+ exit ${retval}
+ fi
done